!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 05/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-15 15:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 145

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(983)
  integer, parameter :: nGC_89 = 1
  integer, parameter :: nGC_4463 = 2
  integer, parameter :: nGC_4502 = 3
  integer, parameter :: nGC_4536 = 4
  integer, parameter :: nGC_4469 = 5
  integer, parameter :: nGC_4505 = 6
  integer, parameter :: nGC_4504 = 7
  integer, parameter :: nGC_31 = 8
  integer, parameter :: nGC_4639 = 9
  integer, parameter :: nGC_4638 = 10
  integer, parameter :: nGC_4634 = 11
  integer, parameter :: nGC_4637 = 12
  integer, parameter :: nGC_4636 = 13
  integer, parameter :: nGC_4631 = 14
  integer, parameter :: nGC_4630 = 15
  integer, parameter :: nGC_4632 = 16
  integer, parameter :: nGC_4414 = 17
  integer, parameter :: nGC_4417 = 18
  integer, parameter :: nGC_4416 = 19
  integer, parameter :: nGC_4411 = 20
  integer, parameter :: nGC_4410 = 21
  integer, parameter :: nGC_4413 = 22
  integer, parameter :: nGC_4412 = 23
  integer, parameter :: nGC_4419 = 24
  integer, parameter :: nGC_4384 = 25
  integer, parameter :: nGC_4387 = 26
  integer, parameter :: nGC_4386 = 27
  integer, parameter :: nGC_4380 = 28
  integer, parameter :: nGC_4382 = 29
  integer, parameter :: nGC_4388 = 30
  integer, parameter :: nGC_35 = 31
  integer, parameter :: nGC_MZ_GF = 32
  integer, parameter :: nGC_4560 = 33
  integer, parameter :: nGC_28 = 34
  integer, parameter :: nGC_29 = 35
  integer, parameter :: nGC_4564 = 36
  integer, parameter :: nGC_4566 = 37
  integer, parameter :: nGC_23 = 38
  integer, parameter :: nGC_20 = 39
  integer, parameter :: nGC_21 = 40
  integer, parameter :: nGC_26 = 41
  integer, parameter :: nGC_27 = 42
  integer, parameter :: nGC_24 = 43
  integer, parameter :: nGC_25 = 44
  integer, parameter :: nGC_34 = 45
  integer, parameter :: nGC_103 = 46
  integer, parameter :: nGC_92 = 47
  integer, parameter :: nGC_81 = 48
  integer, parameter :: nGC_4509 = 49
  integer, parameter :: nGC_13 = 50
  integer, parameter :: nGC_75 = 51
  integer, parameter :: nGC_126 = 52
  integer, parameter :: nGC_124 = 53
  integer, parameter :: nGC_125 = 54
  integer, parameter :: nGC_122 = 55
  integer, parameter :: nGC_123 = 56
  integer, parameter :: nGC_120 = 57
  integer, parameter :: nGC_121 = 58
  integer, parameter :: nGC_MMW_GF = 59
  integer, parameter :: nGC_74 = 60
  integer, parameter :: nGC_77 = 61
  integer, parameter :: nGC_10 = 62
  integer, parameter :: nGC_76 = 63
  integer, parameter :: nGC_71 = 64
  integer, parameter :: nGC_93 = 65
  integer, parameter :: nGC_70 = 66
  integer, parameter :: nGC_4558 = 67
  integer, parameter :: nGC_73 = 68
  integer, parameter :: nGC_72 = 69
  integer, parameter :: nGC_4349 = 70
  integer, parameter :: nGC_4348 = 71
  integer, parameter :: nGC_4340 = 72
  integer, parameter :: nGC_4342 = 73
  integer, parameter :: nGC_4345 = 74
  integer, parameter :: nGC_4344 = 75
  integer, parameter :: nGC_4346 = 76
  integer, parameter :: nGC_4525 = 77
  integer, parameter :: nGC_4527 = 78
  integer, parameter :: nGC_4526 = 79
  integer, parameter :: nGC_4523 = 80
  integer, parameter :: nGC_4522 = 81
  integer, parameter :: nGC_4528 = 82
  integer, parameter :: nGC_7689 = 83
  integer, parameter :: nGC_4449 = 84
  integer, parameter :: nGC_4446 = 85
  integer, parameter :: nGC_4447 = 86
  integer, parameter :: nGC_4444 = 87
  integer, parameter :: nGC_4445 = 88
  integer, parameter :: nGC_4442 = 89
  integer, parameter :: nGC_4443 = 90
  integer, parameter :: nGC_4441 = 91
  integer, parameter :: nGC_3 = 92
  integer, parameter :: nGC_2 = 93
  integer, parameter :: nGC_1 = 94
  integer, parameter :: nGC_7 = 95
  integer, parameter :: nGC_6 = 96
  integer, parameter :: nGC_5 = 97
  integer, parameter :: nGC_4 = 98
  integer, parameter :: nGC_9 = 99
  integer, parameter :: nGC_8 = 100
  integer, parameter :: nGC_4588 = 101
  integer, parameter :: nGC_4590 = 102
  integer, parameter :: nGC_4591 = 103
  integer, parameter :: nGC_4592 = 104
  integer, parameter :: nGC_4593 = 105
  integer, parameter :: nGC_4594 = 106
  integer, parameter :: nGC_4595 = 107
  integer, parameter :: nGC_4596 = 108
  integer, parameter :: nGC_4597 = 109
  integer, parameter :: nGC_4598 = 110
  integer, parameter :: nGC_7252 = 111
  integer, parameter :: nGC_7251 = 112
  integer, parameter :: nGC_17 = 113
  integer, parameter :: nGC_16 = 114
  integer, parameter :: nGC_15 = 115
  integer, parameter :: nGC_53 = 116
  integer, parameter :: nGC_52 = 117
  integer, parameter :: nGC_51 = 118
  integer, parameter :: nGC_50 = 119
  integer, parameter :: nGC_57 = 120
  integer, parameter :: nGC_56 = 121
  integer, parameter :: nGC_55 = 122
  integer, parameter :: nGC_54 = 123
  integer, parameter :: nGC_59 = 124
  integer, parameter :: nGC_58 = 125
  integer, parameter :: nGC_46 = 126
  integer, parameter :: nGC_12 = 127
  integer, parameter :: nGC_100 = 128
  integer, parameter :: nGC_47 = 129
  integer, parameter :: nGC_11 = 130
  integer, parameter :: nGC_40 = 131
  integer, parameter :: nGC_41 = 132
  integer, parameter :: nGC_MC = 133
  integer, parameter :: nGC_42 = 134
  integer, parameter :: nGC_4507 = 135
  integer, parameter :: nGC_104 = 136
  integer, parameter :: nGC_105 = 137
  integer, parameter :: nGC_48 = 138
  integer, parameter :: nGC_49 = 139
  integer, parameter :: nGC_7903 = 140
  integer, parameter :: nGC_60 = 141
  integer, parameter :: nGC_4578 = 142
  integer, parameter :: nGC_4579 = 143
  integer, parameter :: nGC_4574 = 144
  integer, parameter :: nGC_4520 = 145
  integer, parameter :: nGC_7445 = 146
  integer, parameter :: nGC_7444 = 147
  integer, parameter :: nGC_4628 = 148
  integer, parameter :: nGC_4479 = 149
  integer, parameter :: nGC_4622 = 150
  integer, parameter :: nGC_4621 = 151
  integer, parameter :: nGC_4627 = 152
  integer, parameter :: nGC_4624 = 153
  integer, parameter :: nGC_4625 = 154
  integer, parameter :: nGC_4403 = 155
  integer, parameter :: nGC_4400 = 156
  integer, parameter :: nGC_4401 = 157
  integer, parameter :: nGC_4406 = 158
  integer, parameter :: nGC_4407 = 159
  integer, parameter :: nGC_4404 = 160
  integer, parameter :: nGC_4405 = 161
  integer, parameter :: nGC_4529 = 162
  integer, parameter :: nGC_4408 = 163
  integer, parameter :: nGC_4409 = 164
  integer, parameter :: nGC_4390 = 165
  integer, parameter :: nGC_4391 = 166
  integer, parameter :: nGC_4397 = 167
  integer, parameter :: nGC_4394 = 168
  integer, parameter :: nGC_4398 = 169
  integer, parameter :: nGC_4399 = 170
  integer, parameter :: nGC_I = 171
  integer, parameter :: nGC_6472 = 172
  integer, parameter :: nGC_4609 = 173
  integer, parameter :: nGC_6573 = 174
  integer, parameter :: nGC_6574 = 175
  integer, parameter :: nGC_4499 = 176
  integer, parameter :: nGC_4498 = 177
  integer, parameter :: nGC_4496 = 178
  integer, parameter :: nGC_4490 = 179
  integer, parameter :: nGC_4493 = 180
  integer, parameter :: nGC_4492 = 181
  integer, parameter :: nGC_4275 = 182
  integer, parameter :: nGC_4274 = 183
  integer, parameter :: nGC_4277 = 184
  integer, parameter :: nGC_4270 = 185
  integer, parameter :: nGC_4273 = 186
  integer, parameter :: nGC_4272 = 187
  integer, parameter :: nGC_19 = 188
  integer, parameter :: nGC_18 = 189
  integer, parameter :: nGC_4477 = 190
  integer, parameter :: nGC_4475 = 191
  integer, parameter :: nGC_4472 = 192
  integer, parameter :: nGC_4471 = 193
  integer, parameter :: nGC_4470 = 194
  integer, parameter :: nGC_4576 = 195
  integer, parameter :: nGC_4575 = 196
  integer, parameter :: nGC_4572 = 197
  integer, parameter :: nGC_4573 = 198
  integer, parameter :: nGC_4570 = 199
  integer, parameter :: nGC_4571 = 200
  integer, parameter :: nGC_2223 = 201
  integer, parameter :: nGC_MT = 202
  integer, parameter :: nGC_419 = 203
  integer, parameter :: nGC_411 = 204
  integer, parameter :: nGC_6959 = 205
  integer, parameter :: nGC_4540 = 206
  integer, parameter :: nGC_6682 = 207
  integer, parameter :: nGC_7153 = 208
  integer, parameter :: nGC_645 = 209
  integer, parameter :: nGC_6484 = 210
  integer, parameter :: nGC_6487 = 211
  integer, parameter :: nGC_7368 = 212
  integer, parameter :: nGC_94 = 213
  integer, parameter :: nGC_7367 = 214
  integer, parameter :: nGC_7393 = 215
  integer, parameter :: nGC_7392 = 216
  integer, parameter :: nGC_4356 = 217
  integer, parameter :: nGC_4357 = 218
  integer, parameter :: nGC_4354 = 219
  integer, parameter :: nGC_4355 = 220
  integer, parameter :: nGC_4350 = 221
  integer, parameter :: nGC_4358 = 222
  integer, parameter :: nGC_4359 = 223
  integer, parameter :: nGC_6431 = 224
  integer, parameter :: nGC_6430 = 225
  integer, parameter :: nGC_4599 = 226
  integer, parameter :: nGC_6388 = 227
  integer, parameter :: nGC_MWp = 228
  integer, parameter :: nGC_4613 = 229
  integer, parameter :: nGC_4611 = 230
  integer, parameter :: nGC_4610 = 231
  integer, parameter :: nGC_4616 = 232
  integer, parameter :: nGC_4615 = 233
  integer, parameter :: nGC_4614 = 234
  integer, parameter :: nGC_4619 = 235
  integer, parameter :: nGC_4618 = 236
  integer, parameter :: nGC_4532 = 237
  integer, parameter :: nGC_4533 = 238
  integer, parameter :: nGC_4530 = 239
  integer, parameter :: nGC_4531 = 240
  integer, parameter :: nGC_7692 = 241
  integer, parameter :: nGC_4537 = 242
  integer, parameter :: nGC_4534 = 243
  integer, parameter :: nGC_4535 = 244
  integer, parameter :: nGC_4538 = 245
  integer, parameter :: nGC_4539 = 246
  integer, parameter :: nGC_4376 = 247
  integer, parameter :: nGC_4439 = 248
  integer, parameter :: nGC_4433 = 249
  integer, parameter :: nGC_4430 = 250
  integer, parameter :: nGC_4437 = 251
  integer, parameter :: nGC_4436 = 252
  integer, parameter :: nGC_4435 = 253
  integer, parameter :: nGC_4434 = 254
  integer, parameter :: nGC_7084 = 255
  integer, parameter :: nGC_4548 = 256
  integer, parameter :: nGC_4546 = 257
  integer, parameter :: nGC_4544 = 258
  integer, parameter :: nGC_6642 = 259
  integer, parameter :: nGC_4542 = 260
  integer, parameter :: nGC_45 = 261
  integer, parameter :: nGC_4224 = 262
  integer, parameter :: nGC_4225 = 263
  integer, parameter :: nGC_43 = 264
  integer, parameter :: nGC_4231 = 265
  integer, parameter :: nGC_179 = 266
  integer, parameter :: nGC_4232 = 267
  integer, parameter :: nGC_9097 = 268
  integer, parameter :: nGC_6860 = 269
  integer, parameter :: nGC_321 = 270
  integer, parameter :: nGC_6528 = 271
  integer, parameter :: nGC_4589 = 272
  integer, parameter :: nGC_6963 = 273
  integer, parameter :: nGC_4644 = 274
  integer, parameter :: nGC_4645 = 275
  integer, parameter :: nGC_4646 = 276
  integer, parameter :: nGC_6805 = 277
  integer, parameter :: nGC_4648 = 278
  integer, parameter :: nGC_4640 = 279
  integer, parameter :: nGC_4642 = 280
  integer, parameter :: nGC_4641 = 281
  integer, parameter :: nGC_4418 = 282
  integer, parameter :: nGC_1013 = 283
  integer, parameter :: nGC_4643 = 284
  integer, parameter :: nGC_44 = 285
  integer, parameter :: nGC_4249 = 286
  integer, parameter :: nGC_7455 = 287
  integer, parameter :: nGC_7452 = 288
  integer, parameter :: nGC_4562 = 289
  integer, parameter :: nGC_7306 = 290
  integer, parameter :: nGC_MD = 291
  integer, parameter :: nGC_211 = 292
  integer, parameter :: nGC_6547 = 293
  integer, parameter :: nGC_4369 = 294
  integer, parameter :: nGC_4367 = 295
  integer, parameter :: nGC_4366 = 296
  integer, parameter :: nGC_4365 = 297
  integer, parameter :: nGC_4363 = 298
  integer, parameter :: nGC_4242 = 299
  integer, parameter :: nGC_4360 = 300
  integer, parameter :: nGC_4488 = 301
  integer, parameter :: nGC_4489 = 302
  integer, parameter :: nGC_MTA = 303
  integer, parameter :: nGC_8775 = 304
  integer, parameter :: nGC_4480 = 305
  integer, parameter :: nGC_4481 = 306
  integer, parameter :: nGC_4486 = 307
  integer, parameter :: nGC_4487 = 308
  integer, parameter :: nGC_4484 = 309
  integer, parameter :: nGC_4485 = 310
  integer, parameter :: nGC_4263 = 311
  integer, parameter :: nGC_4260 = 312
  integer, parameter :: nGC_4261 = 313
  integer, parameter :: nGC_4267 = 314
  integer, parameter :: nGC_4264 = 315
  integer, parameter :: nGC_4268 = 316
  integer, parameter :: nGC_4269 = 317
  integer, parameter :: nGC_4294 = 318
  integer, parameter :: nGC_4292 = 319
  integer, parameter :: nGC_4464 = 320
  integer, parameter :: nGC_4465 = 321
  integer, parameter :: nGC_4466 = 322
  integer, parameter :: nGC_4508 = 323
  integer, parameter :: nGC_4460 = 324
  integer, parameter :: nGC_4461 = 325
  integer, parameter :: nGC_4462 = 326
  integer, parameter :: nGC_6603 = 327
  integer, parameter :: nGC_4501 = 328
  integer, parameter :: nGC_4500 = 329
  integer, parameter :: nGC_4506 = 330
  integer, parameter :: nGC_4559 = 331
  integer, parameter :: nGC_4519 = 332
  integer, parameter :: nGC_6803 = 333
  integer, parameter :: nGC_99 = 334
  integer, parameter :: nGC_98 = 335
  integer, parameter :: nGC_97 = 336
  integer, parameter :: nGC_96 = 337
  integer, parameter :: nGC_95 = 338
  integer, parameter :: nGC_91 = 339
  integer, parameter :: nGC_90 = 340
  integer, parameter :: nGC_4478 = 341
  integer, parameter :: nGC_6776 = 342
  integer, parameter :: nGC_4216 = 343
  integer, parameter :: nGC_4215 = 344
  integer, parameter :: nGC_4214 = 345
  integer, parameter :: nGC_4213 = 346
  integer, parameter :: nGC_4212 = 347
  integer, parameter :: nGC_4211 = 348
  integer, parameter :: nGC_4210 = 349
  integer, parameter :: nGC_79 = 350
  integer, parameter :: nGC_78 = 351
  integer, parameter :: nGC_4219 = 352
  integer, parameter :: nGC_4218 = 353
  integer, parameter :: nGC_4186 = 354
  integer, parameter :: nGC_4185 = 355
  integer, parameter :: nGC_7632 = 356
  integer, parameter :: nGC_6675 = 357
  integer, parameter :: nGC_6674 = 358
  integer, parameter :: nGC_4188 = 359
  integer, parameter :: nGC_101 = 360
  integer, parameter :: nGC_102 = 361
  integer, parameter :: nGC_7004 = 362
  integer, parameter :: nGC_106 = 363
  integer, parameter :: nGC_107 = 364
  integer, parameter :: nGC_108 = 365
  integer, parameter :: nGC_109 = 366
  integer, parameter :: nGC_22 = 367
  integer, parameter :: nGC_9073 = 368
  integer, parameter :: nGC_6786 = 369
  integer, parameter :: nGC_4321 = 370
  integer, parameter :: nGC_4320 = 371
  integer, parameter :: nGC_4327 = 372
  integer, parameter :: nGC_4324 = 373
  integer, parameter :: nGC_6588 = 374
  integer, parameter :: nGC_6850 = 375
  integer, parameter :: nGC_4240 = 376
  integer, parameter :: nGC_6584 = 377
  integer, parameter :: nGC_6855 = 378
  integer, parameter :: nGC_88 = 379
  integer, parameter :: nGC_6999 = 380
  integer, parameter :: nGC_4582 = 381
  integer, parameter :: nGC_8300 = 382
  integer, parameter :: nGC_8303 = 383
  integer, parameter :: nGC_8302 = 384
  integer, parameter :: nGC_6390 = 385
  integer, parameter :: nGC_4600 = 386
  integer, parameter :: nGC_4601 = 387
  integer, parameter :: nGC_4602 = 388
  integer, parameter :: nGC_4603 = 389
  integer, parameter :: nGC_4607 = 390
  integer, parameter :: nGC_4608 = 391
  integer, parameter :: nGC_4241 = 392
  integer, parameter :: nGC_4586 = 393
  integer, parameter :: nGC_4428 = 394
  integer, parameter :: nGC_4429 = 395
  integer, parameter :: nGC_4420 = 396
  integer, parameter :: nGC_4421 = 397
  integer, parameter :: nGC_4422 = 398
  integer, parameter :: nGC_4423 = 399
  integer, parameter :: nGC_4424 = 400
  integer, parameter :: nGC_4425 = 401
  integer, parameter :: nGC_4426 = 402
  integer, parameter :: nGC_4427 = 403
  integer, parameter :: nGC_441 = 404
  integer, parameter :: nGC_6456 = 405
  integer, parameter :: nGC_6454 = 406
  integer, parameter :: nGC_6518 = 407
  integer, parameter :: nGC_84 = 408
  integer, parameter :: nGC_6513 = 409
  integer, parameter :: nGC_85 = 410
  integer, parameter :: nGC_8398 = 411
  integer, parameter :: nGC_87 = 412
  integer, parameter :: nGC_365 = 413
  integer, parameter :: nGC_547 = 414
  integer, parameter :: nGC_4368 = 415
  integer, parameter :: nGC_39 = 416
  integer, parameter :: nGC_4556 = 417
  integer, parameter :: nGC_4557 = 418
  integer, parameter :: nGC_4550 = 419
  integer, parameter :: nGC_4551 = 420
  integer, parameter :: nGC_4552 = 421
  integer, parameter :: nGC_7503 = 422
  integer, parameter :: nGC_4253 = 423
  integer, parameter :: nGC_4252 = 424
  integer, parameter :: nGC_4256 = 425
  integer, parameter :: nGC_4255 = 426
  integer, parameter :: nGC_36 = 427
  integer, parameter :: nGC_145 = 428
  integer, parameter :: nGC_66 = 429
  integer, parameter :: nGC_7670 = 430
  integer, parameter :: nGC_6549 = 431
  integer, parameter :: nGC_7673 = 432
  integer, parameter :: nGC_4362 = 433
  integer, parameter :: nGC_4245 = 434
  integer, parameter :: nGC_7504 = 435
  integer, parameter :: nGC_4568 = 436
  integer, parameter :: nGC_7040 = 437
  integer, parameter :: nGC_7046 = 438
  integer, parameter :: nGC_715 = 439
  integer, parameter :: nGC_119 = 440
  integer, parameter :: nGC_6973 = 441
  integer, parameter :: nGC_4204 = 442
  integer, parameter :: nGC_67 = 443
  integer, parameter :: nGC_4227 = 444
  integer, parameter :: nGC_64 = 445
  integer, parameter :: nGC_6436 = 446
  integer, parameter :: nGC_62 = 447
  integer, parameter :: nGC_65 = 448
  integer, parameter :: nGC_MI = 449
  integer, parameter :: nGC_MH = 450
  integer, parameter :: nGC_6705 = 451
  integer, parameter :: nGC_MM = 452
  integer, parameter :: nGC_MB = 453
  integer, parameter :: nGC_6432 = 454
  integer, parameter :: nGC_ME = 455
  integer, parameter :: nGC_6890 = 456
  integer, parameter :: nGC_MZ = 457
  integer, parameter :: nGC_MS = 458
  integer, parameter :: nGC_MW = 459
  integer, parameter :: nGC_MU = 460
  integer, parameter :: nGC_4254 = 461
  integer, parameter :: nGC_7584 = 462
  integer, parameter :: nGC_7585 = 463
  integer, parameter :: nGC_63 = 464
  integer, parameter :: nGC_MW_GF = 465
  integer, parameter :: nGC_6552 = 466
  integer, parameter :: nGC_4482 = 467
  integer, parameter :: nGC_4510 = 468
  integer, parameter :: nGC_7602 = 469
  integer, parameter :: nGC_4378 = 470
  integer, parameter :: nGC_4379 = 471
  integer, parameter :: nGC_4375 = 472
  integer, parameter :: nGC_6558 = 473
  integer, parameter :: nGC_6559 = 474
  integer, parameter :: nGC_4370 = 475
  integer, parameter :: nGC_4371 = 476
  integer, parameter :: nGC_4372 = 477
  integer, parameter :: nGC_4373 = 478
  integer, parameter :: nGC_4554 = 479
  integer, parameter :: nGC_8777 = 480
  integer, parameter :: nGC_243 = 481
  integer, parameter :: nGC_38 = 482
  integer, parameter :: nGC_6411 = 483
  integer, parameter :: nGC_6416 = 484
  integer, parameter :: nGC_255 = 485
  integer, parameter :: nGC_6664 = 486
  integer, parameter :: nGC_4258 = 487
  integer, parameter :: nGC_61 = 488
  integer, parameter :: nGC_8297 = 489
  integer, parameter :: nGC_8112 = 490
  integer, parameter :: nGC_4262 = 491
  integer, parameter :: nGC_4259 = 492
  integer, parameter :: nGC_4299 = 493
  integer, parameter :: nGC_4298 = 494
  integer, parameter :: nGC_4297 = 495
  integer, parameter :: nGC_4296 = 496
  integer, parameter :: nGC_4295 = 497
  integer, parameter :: nGC_4553 = 498
  integer, parameter :: nGC_4293 = 499
  integer, parameter :: nGC_14 = 500
  integer, parameter :: nGC_4291 = 501
  integer, parameter :: nGC_4290 = 502
  integer, parameter :: nGC_4451 = 503
  integer, parameter :: nGC_4450 = 504
  integer, parameter :: nGC_4453 = 505
  integer, parameter :: nGC_4452 = 506
  integer, parameter :: nGC_4454 = 507
  integer, parameter :: nGC_4457 = 508
  integer, parameter :: nGC_30 = 509
  integer, parameter :: nGC_4459 = 510
  integer, parameter :: nGC_4511 = 511
  integer, parameter :: nGC_4512 = 512
  integer, parameter :: nGC_4513 = 513
  integer, parameter :: nGC_4514 = 514
  integer, parameter :: nGC_33 = 515
  integer, parameter :: nGC_4516 = 516
  integer, parameter :: nGC_4517 = 517
  integer, parameter :: nGC_6527 = 518
  integer, parameter :: nGC_32 = 519
  integer, parameter :: nGC_8688 = 520
  integer, parameter :: nGC_6521 = 521
  integer, parameter :: nGC_8686 = 522
  integer, parameter :: nGC_183 = 523
  integer, parameter :: nGC_187 = 524
  integer, parameter :: nGC_4583 = 525
  integer, parameter :: nGC_4580 = 526
  integer, parameter :: nGC_4456 = 527
  integer, parameter :: nGC_37 = 528
  integer, parameter :: nGC_4647 = 529
  integer, parameter :: nGC_4584 = 530
  integer, parameter :: nGC_80 = 531
  integer, parameter :: nGC_8114 = 532
  integer, parameter :: nGC_82 = 533
  integer, parameter :: nGC_83 = 534
  integer, parameter :: nGC_435 = 535
  integer, parameter :: nGC_86 = 536
  integer, parameter :: nGC_4334 = 537
  integer, parameter :: nGC_611 = 538
  integer, parameter :: nGC_6887 = 539
  integer, parameter :: nGC_7028 = 540
  integer, parameter :: nGC_118 = 541
  integer, parameter :: nGC_6703 = 542
  integer, parameter :: nGC_4205 = 543
  integer, parameter :: nGC_4206 = 544
  integer, parameter :: nGC_6700 = 545
  integer, parameter :: nGC_4200 = 546
  integer, parameter :: nGC_6706 = 547
  integer, parameter :: nGC_4202 = 548
  integer, parameter :: nGC_4203 = 549
  integer, parameter :: nGC_4302 = 550
  integer, parameter :: nGC_4208 = 551
  integer, parameter :: nGC_4209 = 552
  integer, parameter :: nGC_68 = 553
  integer, parameter :: nGC_69 = 554
  integer, parameter :: nGC_4194 = 555
  integer, parameter :: nGC_4195 = 556
  integer, parameter :: nGC_4196 = 557
  integer, parameter :: nGC_4197 = 558
  integer, parameter :: nGC_4190 = 559
  integer, parameter :: nGC_4191 = 560
  integer, parameter :: nGC_4192 = 561
  integer, parameter :: nGC_4193 = 562
  integer, parameter :: nGC_4515 = 563
  integer, parameter :: nGC_6665 = 564
  integer, parameter :: nGC_6666 = 565
  integer, parameter :: nGC_4198 = 566
  integer, parameter :: nGC_4199 = 567
  integer, parameter :: nGC_4458 = 568
  integer, parameter :: nGC_7604 = 569
  integer, parameter :: nGC_4467 = 570
  integer, parameter :: nGC_7010 = 571
  integer, parameter :: nGC_7013 = 572
  integer, parameter :: nGC_117 = 573
  integer, parameter :: nGC_116 = 574
  integer, parameter :: nGC_115 = 575
  integer, parameter :: nGC_114 = 576
  integer, parameter :: nGC_113 = 577
  integer, parameter :: nGC_112 = 578
  integer, parameter :: nGC_111 = 579
  integer, parameter :: nGC_110 = 580
  integer, parameter :: nGC_6981 = 581
  integer, parameter :: nGC_6980 = 582
  integer, parameter :: nGC_6791 = 583
  integer, parameter :: nGC_8984 = 584
  integer, parameter :: nGC_6596 = 585
  integer, parameter :: nGC_6594 = 586
  integer, parameter :: nGC_6595 = 587
  integer, parameter :: nGC_7902 = 588
  integer, parameter :: nGC_6590 = 589
  integer, parameter :: nGC_4337 = 590
  integer, parameter :: nGC_4338 = 591
  integer, parameter :: nGC_4339 = 592
  integer, parameter :: nGC_6843 = 593
  integer, parameter :: nGC_6844 = 594
  integer, parameter :: nGC_6847 = 595
  integer, parameter :: nGC_205 = 596
  integer, parameter :: nGC_4415 = 597
  integer, parameter :: nGC_383 = 598
  integer, parameter :: nGC_387 = 599
  integer, parameter :: nGC_4385 = 600
  integer, parameter :: nGC_4381 = 601
  integer, parameter :: nGC_4383 = 602
  integer, parameter :: nGC_4389 = 603
  integer, parameter :: nGC_6440 = 604
  integer, parameter :: nGC_6443 = 605
  integer, parameter :: nGC_6563 = 606
  integer, parameter :: nGC_6560 = 607
  integer, parameter :: nGC_6566 = 608
  integer, parameter :: nGC_6564 = 609
  integer, parameter :: nGC_279 = 610
  integer, parameter :: nGC_4561 = 611
  integer, parameter :: nGC_4563 = 612
  integer, parameter :: nGC_4565 = 613
  integer, parameter :: nGC_6626 = 614
  integer, parameter :: nGC_4243 = 615
  integer, parameter :: nGC_4244 = 616
  integer, parameter :: nGC_4246 = 617
  integer, parameter :: nGC_4247 = 618
  integer, parameter :: nGC_8502 = 619
  integer, parameter :: nGC_7117 = 620
  integer, parameter :: nGC_9074 = 621
  integer, parameter :: nGC_7118 = 622
  integer, parameter :: nGC_9072 = 623
  integer, parameter :: nGC_8171 = 624
  integer, parameter :: nGC_2211 = 625
  integer, parameter :: nGC_2213 = 626
  integer, parameter :: nGC_7808 = 627
  integer, parameter :: nGC_6948 = 628
  integer, parameter :: nGC_6940 = 629
  integer, parameter :: nGC_6943 = 630
  integer, parameter :: nGC_6947 = 631
  integer, parameter :: nGC_6695 = 632
  integer, parameter :: nGC_6758 = 633
  integer, parameter :: nGC_6757 = 634
  integer, parameter :: nGC_6752 = 635
  integer, parameter :: nGC_6492 = 636
  integer, parameter :: nGC_6490 = 637
  integer, parameter :: nGC_6497 = 638
  integer, parameter :: nGC_6495 = 639
  integer, parameter :: nGC_6884 = 640
  integer, parameter :: nGC_6885 = 641
  integer, parameter :: nGC_6498 = 642
  integer, parameter :: nGC_7371 = 643
  integer, parameter :: nGC_7370 = 644
  integer, parameter :: nGC_7478 = 645
  integer, parameter :: nGC_7479 = 646
  integer, parameter :: nGC_8400 = 647
  integer, parameter :: nGC_4521 = 648
  integer, parameter :: nGC_9100 = 649
  integer, parameter :: nGC_9102 = 650
  integer, parameter :: nGC_9103 = 651
  integer, parameter :: nGC_4332 = 652
  integer, parameter :: nGC_4333 = 653
  integer, parameter :: nGC_4341 = 654
  integer, parameter :: nGC_4343 = 655
  integer, parameter :: nGC_4347 = 656
  integer, parameter :: nGC_4335 = 657
  integer, parameter :: nGC_6371 = 658
  integer, parameter :: nGC_4336 = 659
  integer, parameter :: nGC_7482 = 660
  integer, parameter :: nGC_7481 = 661
  integer, parameter :: nGC_8284 = 662
  integer, parameter :: nGC_4524 = 663
  integer, parameter :: nGC_4288 = 664
  integer, parameter :: nGC_4289 = 665
  integer, parameter :: nGC_4284 = 666
  integer, parameter :: nGC_4285 = 667
  integer, parameter :: nGC_4286 = 668
  integer, parameter :: nGC_4287 = 669
  integer, parameter :: nGC_4280 = 670
  integer, parameter :: nGC_4281 = 671
  integer, parameter :: nGC_4282 = 672
  integer, parameter :: nGC_4283 = 673
  integer, parameter :: nGC_7727 = 674
  integer, parameter :: nGC_4448 = 675
  integer, parameter :: nGC_7681 = 676
  integer, parameter :: nGC_7680 = 677
  integer, parameter :: nGC_7728 = 678
  integer, parameter :: nGC_4440 = 679
  integer, parameter :: nGC_9032 = 680
  integer, parameter :: nGC_6537 = 681
  integer, parameter :: nGC_6403 = 682
  integer, parameter :: nGC_4541 = 683
  integer, parameter :: nGC_4229 = 684
  integer, parameter :: nGC_4230 = 685
  integer, parameter :: nGC_4233 = 686
  integer, parameter :: nGC_4235 = 687
  integer, parameter :: nGC_4234 = 688
  integer, parameter :: nGC_4237 = 689
  integer, parameter :: nGC_4239 = 690
  integer, parameter :: nGC_6651 = 691
  integer, parameter :: nGC_6652 = 692
  integer, parameter :: nGC_7022 = 693
  integer, parameter :: nGC_7025 = 694
  integer, parameter :: nGC_4220 = 695
  integer, parameter :: nGC_4221 = 696
  integer, parameter :: nGC_7531 = 697
  integer, parameter :: nGC_7539 = 698
  integer, parameter :: nGC_7538 = 699
  integer, parameter :: nGC_4309 = 700
  integer, parameter :: nGC_4308 = 701
  integer, parameter :: nGC_4305 = 702
  integer, parameter :: nGC_4304 = 703
  integer, parameter :: nGC_4307 = 704
  integer, parameter :: nGC_4306 = 705
  integer, parameter :: nGC_4301 = 706
  integer, parameter :: nGC_4300 = 707
  integer, parameter :: nGC_4303 = 708
  integer, parameter :: nGC_4650 = 709
  integer, parameter :: nGC_7289 = 710
  integer, parameter :: nGC_4577 = 711
  integer, parameter :: nGC_7285 = 712
  integer, parameter :: nGC_7284 = 713
  integer, parameter :: nGC_7448 = 714
  integer, parameter :: nGC_7447 = 715
  integer, parameter :: nGC_4629 = 716
  integer, parameter :: nGC_4623 = 717
  integer, parameter :: nGC_4620 = 718
  integer, parameter :: nGC_4626 = 719
  integer, parameter :: nGC_4402 = 720
  integer, parameter :: nGC_4392 = 721
  integer, parameter :: nGC_4393 = 722
  integer, parameter :: nGC_4396 = 723
  integer, parameter :: nGC_4395 = 724
  integer, parameter :: nGC_7807 = 725
  integer, parameter :: nGC_7806 = 726
  integer, parameter :: nGC_6470 = 727
  integer, parameter :: nGC_6475 = 728
  integer, parameter :: nGC_6477 = 729
  integer, parameter :: nGC_8401 = 730
  integer, parameter :: nGC_6478 = 731
  integer, parameter :: nGC_4494 = 732
  integer, parameter :: nGC_4497 = 733
  integer, parameter :: nGC_4491 = 734
  integer, parameter :: nGC_4276 = 735
  integer, parameter :: nGC_4271 = 736
  integer, parameter :: nGC_4279 = 737
  integer, parameter :: nGC_4278 = 738
  integer, parameter :: nGC_4476 = 739
  integer, parameter :: nGC_4474 = 740
  integer, parameter :: nGC_4473 = 741
  integer, parameter :: nGC_6614 = 742
  integer, parameter :: nGC_6612 = 743
  integer, parameter :: nGC_7108 = 744
  integer, parameter :: nGC_11979 = 745
  integer, parameter :: nGC_11977 = 746
  integer, parameter :: nGC_6683 = 747
  integer, parameter :: nGC_6684 = 748
  integer, parameter :: nGC_7620 = 749
  integer, parameter :: nGC_6689 = 750
  integer, parameter :: nGC_6489 = 751
  integer, parameter :: nGC_6437 = 752
  integer, parameter :: nGC_6568 = 753
  integer, parameter :: nGC_225 = 754
  integer, parameter :: nGC_6389 = 755
  integer, parameter :: nGC_4612 = 756
  integer, parameter :: nGC_4617 = 757
  integer, parameter :: nGC_4438 = 758
  integer, parameter :: nGC_4432 = 759
  integer, parameter :: nGC_4431 = 760
  integer, parameter :: nGC_6501 = 761
  integer, parameter :: nGC_6502 = 762
  integer, parameter :: nGC_7995 = 763
  integer, parameter :: nGC_6506 = 764
  integer, parameter :: nGC_6508 = 765
  integer, parameter :: nGC_295 = 766
  integer, parameter :: nGC_7386 = 767
  integer, parameter :: nGC_7383 = 768
  integer, parameter :: nGC_4547 = 769
  integer, parameter :: nGC_4545 = 770
  integer, parameter :: nGC_4543 = 771
  integer, parameter :: nGC_4228 = 772
  integer, parameter :: nGC_6641 = 773
  integer, parameter :: nGC_4226 = 774
  integer, parameter :: nGC_6724 = 775
  integer, parameter :: nGC_4222 = 776
  integer, parameter :: nGC_4223 = 777
  integer, parameter :: nGC_4549 = 778
  integer, parameter :: nGC_6722 = 779
  integer, parameter :: nGC_9094 = 780
  integer, parameter :: nGC_9095 = 781
  integer, parameter :: nGC_7036 = 782
  integer, parameter :: nGC_7034 = 783
  integer, parameter :: nGC_9099 = 784
  integer, parameter :: nGC_7033 = 785
  integer, parameter :: nGC_6969 = 786
  integer, parameter :: nGC_6967 = 787
  integer, parameter :: nGC_6966 = 788
  integer, parameter :: nGC_6428 = 789
  integer, parameter :: nGC_4319 = 790
  integer, parameter :: nGC_4649 = 791
  integer, parameter :: nGC_6865 = 792
  integer, parameter :: nGC_4312 = 793
  integer, parameter :: nGC_4310 = 794
  integer, parameter :: nGC_4311 = 795
  integer, parameter :: nGC_4317 = 796
  integer, parameter :: nGC_4314 = 797
  integer, parameter :: nGC_7350 = 798
  integer, parameter :: nGC_4248 = 799
  integer, parameter :: nGC_4567 = 800
  integer, parameter :: nGC_7186 = 801
  integer, parameter :: nGC_4569 = 802
  integer, parameter :: nGC_6546 = 803
  integer, parameter :: nGC_6540 = 804
  integer, parameter :: nGC_1263 = 805
  integer, parameter :: nGC_9514 = 806
  integer, parameter :: nGC_4364 = 807
  integer, parameter :: nGC_4361 = 808
  integer, parameter :: nGC_6466 = 809
  integer, parameter :: nGC_6465 = 810
  integer, parameter :: nGC_6461 = 811
  integer, parameter :: nGC_8778 = 812
  integer, parameter :: nGC_8774 = 813
  integer, parameter :: nGC_251 = 814
  integer, parameter :: nGC_4266 = 815
  integer, parameter :: nGC_4265 = 816
  integer, parameter :: nGC_4503 = 817
  integer, parameter :: nGC_4468 = 818
  integer, parameter :: nGC_6604 = 819
  integer, parameter :: nGC_6605 = 820
  integer, parameter :: nGC_7070 = 821
  integer, parameter :: nGC_7178 = 822
  integer, parameter :: nGC_8113 = 823
  integer, parameter :: nGC_7177 = 824
  integer, parameter :: nGC_8115 = 825
  integer, parameter :: nGC_1161 = 826
  integer, parameter :: nGC_4217 = 827
  integer, parameter :: nGC_6778 = 828
  integer, parameter :: nGC_6779 = 829
  integer, parameter :: nGC_4187 = 830
  integer, parameter :: nGC_7636 = 831
  integer, parameter :: nGC_7637 = 832
  integer, parameter :: nGC_6676 = 833
  integer, parameter :: nGC_6673 = 834
  integer, parameter :: nGC_4189 = 835
  integer, parameter :: nGC_7007 = 836
  integer, parameter :: nGC_7003 = 837
  integer, parameter :: nGC_7002 = 838
  integer, parameter :: nGC_9075 = 839
  integer, parameter :: nGC_6789 = 840
  integer, parameter :: nGC_6780 = 841
  integer, parameter :: nGC_4323 = 842
  integer, parameter :: nGC_4322 = 843
  integer, parameter :: nGC_4326 = 844
  integer, parameter :: nGC_4325 = 845
  integer, parameter :: nGC_4329 = 846
  integer, parameter :: nGC_4328 = 847
  integer, parameter :: nGC_6422 = 848
  integer, parameter :: nGC_6858 = 849
  integer, parameter :: nGC_6427 = 850
  integer, parameter :: nGC_6853 = 851
  integer, parameter :: nGC_6852 = 852
  integer, parameter :: nGC_6583 = 853
  integer, parameter :: nGC_6394 = 854
  integer, parameter :: nGC_7305 = 855
  integer, parameter :: nGC_6397 = 856
  integer, parameter :: nGC_6391 = 857
  integer, parameter :: nGC_4606 = 858
  integer, parameter :: nGC_6455 = 859
  integer, parameter :: nGC_6516 = 860
  integer, parameter :: nGC_6515 = 861
  integer, parameter :: nGC_6510 = 862
  integer, parameter :: nGC_7185 = 863
  integer, parameter :: nGC_8397 = 864
  integer, parameter :: nGC_6810 = 865
  integer, parameter :: nGC_4555 = 866
  integer, parameter :: nGC_4251 = 867
  integer, parameter :: nGC_4250 = 868
  integer, parameter :: nGC_4257 = 869
  integer, parameter :: nGC_6737 = 870
  integer, parameter :: nGC_7048 = 871
  integer, parameter :: nGC_7047 = 872
  integer, parameter :: nGC_7516 = 873
  integer, parameter :: nGC_6970 = 874
  integer, parameter :: nGC_7513 = 875
  integer, parameter :: nGC_6897 = 876
  integer, parameter :: nGC_6893 = 877
  integer, parameter :: nGC_6892 = 878
  integer, parameter :: nGC_9844 = 879
  integer, parameter :: nGC_7462 = 880
  integer, parameter :: nGC_7465 = 881
  integer, parameter :: nGC_7464 = 882
  integer, parameter :: nGC_6554 = 883
  integer, parameter :: nGC_4483 = 884
  integer, parameter :: nGC_4374 = 885
  integer, parameter :: nGC_4377 = 886
  integer, parameter :: nGC_6419 = 887
  integer, parameter :: nGC_6366 = 888
  integer, parameter :: nGC_6410 = 889
  integer, parameter :: nGC_6369 = 890
  integer, parameter :: nGC_4518 = 891
  integer, parameter :: nGC_4455 = 892
  integer, parameter :: nGC_6524 = 893
  integer, parameter :: nGC_6523 = 894
  integer, parameter :: nGC_7085 = 895
  integer, parameter :: nGC_8687 = 896
  integer, parameter :: nGC_6529 = 897
  integer, parameter :: nGC_4581 = 898
  integer, parameter :: nGC_4587 = 899
  integer, parameter :: nGC_4585 = 900
  integer, parameter :: nGC_7164 = 901
  integer, parameter :: nGC_8513 = 902
  integer, parameter :: nGC_6934 = 903
  integer, parameter :: nGC_6935 = 904
  integer, parameter :: nGC_4207 = 905
  integer, parameter :: nGC_4201 = 906
  integer, parameter :: nGC_7603 = 907
  integer, parameter :: nGC_7012 = 908
  integer, parameter :: nGC_6481 = 909
  integer, parameter :: nGC_6482 = 910
  integer, parameter :: nGC_6379 = 911
  integer, parameter :: nGC_6863 = 912
  integer, parameter :: nGC_7517 = 913
  integer, parameter :: nGC_7674 = 914
  integer, parameter :: nGC_6555 = 915
  integer, parameter :: nGC_6984 = 916
  integer, parameter :: nGC_7508 = 917
  integer, parameter :: nGC_6541 = 918
  integer, parameter :: nGC_4236 = 919
  integer, parameter :: nGC_4238 = 920
  integer, parameter :: nGC_6617 = 921
  integer, parameter :: nGC_8689 = 922
  integer, parameter :: nGC_7507 = 923
  integer, parameter :: nGC_6372 = 924
  integer, parameter :: nGC_6446 = 925
  integer, parameter :: nGC_6447 = 926
  integer, parameter :: nGC_6441 = 927
  integer, parameter :: nGC_7996 = 928
  integer, parameter :: nGC_6400 = 929
  integer, parameter :: nGC_6467 = 930
  integer, parameter :: nGC_7588 = 931
  integer, parameter :: nGC_7589 = 932
  integer, parameter :: nGC_6448 = 933
  integer, parameter :: nGC_7675 = 934
  integer, parameter :: nGC_8307 = 935
  integer, parameter :: nGC_8306 = 936
  integer, parameter :: nGC_7384 = 937
  integer, parameter :: nGC_7385 = 938
  integer, parameter :: nGC_7023 = 939
  integer, parameter :: nGC_8797 = 940
  integer, parameter :: nGC_9096 = 941
  integer, parameter :: nGC_6792 = 942
  integer, parameter :: nGC_7582 = 943
  integer, parameter :: nGC_4330 = 944
  integer, parameter :: nGC_4331 = 945
  integer, parameter :: nGC_4318 = 946
  integer, parameter :: nGC_6593 = 947
  integer, parameter :: nGC_6864 = 948
  integer, parameter :: nGC_7439 = 949
  integer, parameter :: nGC_4313 = 950
  integer, parameter :: nGC_4316 = 951
  integer, parameter :: nGC_6370 = 952
  integer, parameter :: nGC_6599 = 953
  integer, parameter :: nGC_6620 = 954
  integer, parameter :: nGC_6621 = 955
  integer, parameter :: nGC_6696 = 956
  integer, parameter :: nGC_7809 = 957
  integer, parameter :: nGC_6627 = 958
  integer, parameter :: nGC_6628 = 959
  integer, parameter :: nGC_6827 = 960
  integer, parameter :: nGC_6842 = 961
  integer, parameter :: nGC_4315 = 962
  integer, parameter :: nGC_6606 = 963
  integer, parameter :: nGC_8985 = 964
  integer, parameter :: nGC_6690 = 965
  integer, parameter :: nGC_6530 = 966
  integer, parameter :: nGC_6531 = 967
  integer, parameter :: nGC_8172 = 968
  integer, parameter :: nGC_6375 = 969
  integer, parameter :: nGC_6723 = 970
  integer, parameter :: nGC_7239 = 971
  integer, parameter :: nGC_7395 = 972
  integer, parameter :: nGC_7394 = 973
  integer, parameter :: nGC_9665 = 974
  integer, parameter :: nGC_7086 = 975
  integer, parameter :: nGC_7240 = 976
  integer, parameter :: nGC_7037 = 977
  integer, parameter :: nGC_8594 = 978
  integer, parameter :: nGC_8504 = 979
  integer, parameter :: nGC_8503 = 980
  integer, parameter :: nGC_8173 = 981
  integer, parameter :: nGC_6985 = 982
  integer, parameter :: nGC_6828 = 983
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
