!******************************************************************************!
!                                                                              !
!    fill_ctcouplings6.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings6.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 05/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-15 15:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings6
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl6()
      coupl(nGC_7028) = coupl(nGC_74)*dZuR_QCD2
      coupl(nGC_6703) = coupl(nGC_41)*(dZsL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_4205) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_59)**2d0 - coupl( &
                        nGC_62)**2d0 - coupl(nGC_65)**2d0 - coupl(nGC_73)**2d0 &
                        )/(16d0*pi**2d0)
      coupl(nGC_4206) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_24)**2d0 - coupl( &
                        nGC_43)**2d0 - coupl(nGC_44)**2d0 - coupl(nGC_45)**2d0 &
                         - coupl(nGC_71)**2d0 - coupl(nGC_78)**2d0)/(16d0*pi** &
                        2d0)
      coupl(nGC_6700) = coupl(nGC_59)*(dZsR_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_4200) = cMD*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_6706) = coupl(nGC_41)*dZWpMinus/2d0 + coupl(nGC_4539)
      coupl(nGC_4202) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_24)**2d0 - coupl( &
                        nGC_41)**2d0 - coupl(nGC_44)**2d0 - coupl(nGC_47)**2d0 &
                         - coupl(nGC_72)**2d0 - coupl(nGC_77)**2d0)/(16d0*pi** &
                        2d0)
      coupl(nGC_4203) = cima*(-cMC*coupl(nGC_44)*coupl(nGC_62) - cMS*coupl(    &
                        nGC_1)**2d0 - cMS*coupl(nGC_73)*coupl(nGC_77) - cMT*   &
                        coupl(nGC_47)*coupl(nGC_65) - cMU*coupl(nGC_41)*coupl( &
                        nGC_59))/(8d0*pi**2d0)
      coupl(nGC_4302) = coupl(nGC_11)*sq2*(-coupl(nGC_125)*coupl(nGC_98) -     &
                        coupl(nGC_126)*coupl(nGC_97) - 4d0*coupl(nGC_58)*coupl(&
                        nGC_61) - 4d0*coupl(nGC_59)*coupl(nGC_62) - 4d0*coupl( &
                        nGC_60)*coupl(nGC_63))/(64d0*pi**2d0*Nc)
      coupl(nGC_4208) = cMC*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_4209) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_61)**2d0 - coupl( &
                        nGC_62)**2d0 - coupl(nGC_63)**2d0 - coupl(nGC_74)**2d0 &
                        )/(16d0*pi**2d0)
      coupl(nGC_4194) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_23)**2d0 - coupl( &
                        nGC_46)**2d0 - coupl(nGC_47)**2d0 - coupl(nGC_48)**2d0 &
                         - coupl(nGC_78)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4195) = cima*(-cMB*coupl(nGC_48)*coupl(nGC_66) - cMD*coupl(    &
                        nGC_46)*coupl(nGC_64) - cMS*coupl(nGC_47)*coupl(nGC_65 &
                        ) - cMT*coupl(nGC_2)**2d0 - cMT*coupl(nGC_74)*coupl(   &
                        nGC_78))/(8d0*pi**2d0)
      coupl(nGC_4196) = cMT*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_4197) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_64)**2d0 - coupl( &
                        nGC_65)**2d0 - coupl(nGC_66)**2d0 - coupl(nGC_74)**2d0 &
                        )/(16d0*pi**2d0)
      coupl(nGC_4190) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_24)**2d0 - coupl( &
                        nGC_40)**2d0 - coupl(nGC_41)**2d0 - coupl(nGC_42)**2d0 &
                         - coupl(nGC_72)**2d0 - coupl(nGC_78)**2d0)/(16d0*pi** &
                        2d0)
      coupl(nGC_4191) = cima*(-cMB*coupl(nGC_42)*coupl(nGC_60) - cMD*coupl(    &
                        nGC_40)*coupl(nGC_58) - cMS*coupl(nGC_41)*coupl(nGC_59 &
                        ) - cMU*coupl(nGC_2)**2d0 - cMU*coupl(nGC_74)*coupl(   &
                        nGC_78))/(8d0*pi**2d0)
      coupl(nGC_4192) = cMU*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_4193) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_58)**2d0 - coupl( &
                        nGC_59)**2d0 - coupl(nGC_60)**2d0 - coupl(nGC_74)**2d0 &
                        )/(16d0*pi**2d0)
      coupl(nGC_4515) = coupl(nGC_4514)*dcw_
      coupl(nGC_6665) = coupl(nGC_3)*dZWMinus/2d0
      coupl(nGC_6666) = -coupl(nGC_6665)
      coupl(nGC_4198) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_24)**2d0 - coupl( &
                        nGC_40)**2d0 - coupl(nGC_43)**2d0 - coupl(nGC_46)**2d0 &
                         - coupl(nGC_71)**2d0 - coupl(nGC_77)**2d0)/(16d0*pi** &
                        2d0)
      coupl(nGC_4199) = cima*(-cMC*coupl(nGC_43)*coupl(nGC_61) - cMD*coupl(    &
                        nGC_1)**2d0 - cMD*coupl(nGC_73)*coupl(nGC_77) - cMT*   &
                        coupl(nGC_46)*coupl(nGC_64) - cMU*coupl(nGC_40)*coupl( &
                        nGC_58))/(8d0*pi**2d0)
      coupl(nGC_4458) = coupl(nGC_4457)*dyup_QED1_QCD2
      coupl(nGC_7604) = coupl(nGC_4435) + coupl(nGC_94)*dZH/2d0
      coupl(nGC_4467) = coupl(nGC_4466)*dyc_QED1_QCD2
      coupl(nGC_7010) = coupl(nGC_45)*(dZbL_QCD2 + dZcL_QCD2)/2d0
      coupl(nGC_7013) = coupl(nGC_45)*dZWpMinus/2d0 + coupl(nGC_4553)
      coupl(nGC_6981) = coupl(nGC_MI)*dZnu_tauR
      coupl(nGC_6980) = coupl(nGC_MI)*dZnu_tauL
      coupl(nGC_6791) = coupl(nGC_44)*dZWpMinus/2d0 + coupl(nGC_4551)
      coupl(nGC_8984) = coupl(nGC_25)*dZZ/2d0 + coupl(nGC_4371)
      coupl(nGC_6596) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_6594) = coupl(nGC_2)*dZA/2d0
      coupl(nGC_6595) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_7902) = coupl(nGC_4506) + coupl(nGC_79)*dZZ/2d0 + coupl(nGC_79 &
                        )*dZeMinusL
      coupl(nGC_6590) = coupl(nGC_4610) + coupl(nGC_72)*dZWMinus/2d0
      coupl(nGC_4337) = coupl(nGC_11)*sq2*(-coupl(nGC_1013)*coupl(nGC_124) -   &
                        coupl(nGC_123)**2d0 - coupl(nGC_125)**2d0 - coupl(     &
                        nGC_126)**2d0 - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(     &
                        nGC_58)**2d0 - 4d0*coupl(nGC_59)**2d0 - 4d0*coupl(     &
                        nGC_60)**2d0 - 4d0*coupl(nGC_74)**2d0)/(64d0*pi**2d0*Nc&
                        )
      coupl(nGC_4338) = coupl(nGC_11)*sq2*(coupl(nGC_1013)*coupl(nGC_124) +    &
                        coupl(nGC_123)**2d0 + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl&
                        (nGC_24)**2d0 + 4d0*coupl(nGC_40)**2d0 + 4d0*coupl(    &
                        nGC_41)**2d0 + 4d0*coupl(nGC_42)**2d0 + 4d0*coupl(     &
                        nGC_72)**2d0 + 4d0*coupl(nGC_78)**2d0 + coupl(nGC_99)**&
                        2d0)/(64d0*pi**2d0)
      coupl(nGC_4339) = coupl(nGC_11)*sq2*(coupl(nGC_1013)*coupl(nGC_124) +    &
                        coupl(nGC_123)**2d0 + coupl(nGC_125)**2d0 + coupl(     &
                        nGC_126)**2d0 + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(     &
                        nGC_58)**2d0 + 4d0*coupl(nGC_59)**2d0 + 4d0*coupl(     &
                        nGC_60)**2d0 + 4d0*coupl(nGC_74)**2d0)/(64d0*pi**2d0)
      coupl(nGC_6843) = coupl(nGC_1)*dZdR_QCD2
      coupl(nGC_6844) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_6847) = coupl(nGC_60)*(dZbR_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_4415) = coupl(nGC_4414)*dydo_QED1_QCD2
      coupl(nGC_4385) = coupl(nGC_4384)*dZgs_QCD2
      coupl(nGC_4381) = coupl(nGC_4378)*dcw_ + coupl(nGC_4379)*dMZ2 + coupl(   &
                        nGC_4380)*dsw_
      coupl(nGC_4383) = coupl(nGC_4382)*dZgs_QCD2
      coupl(nGC_4389) = coupl(nGC_4388)*dyup_QED1_QCD2
    end subroutine fill_CTcouplings_mdl6
end module fill_ctcouplings6
