!******************************************************************************!
!                                                                              !
!    ctparameter28.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter28.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 05/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-15 15:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter28
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter28()
  dZg_QCD2 = (5d0*Nc*Ten0*coupl(nGC_10)**2d0/3d0 + 4d0*Ten25*cMU_reg**2d0*coupl&
             (nGC_11)**2d0 + 4d0*Ten26*cMC_reg**2d0*coupl(nGC_11)**2d0 + 4d0*  &
             Ten27*cMT**2d0*coupl(nGC_11)**2d0 + 4d0*Ten28*cMD_reg**2d0*coupl( &
             nGC_11)**2d0 + 4d0*Ten29*cMS_reg**2d0*coupl(nGC_11)**2d0 + 4d0*   &
             Ten30*cMB_reg**2d0*coupl(nGC_11)**2d0 - 8d0*Ten31*coupl(nGC_11)** &
             2d0 - 8d0*Ten32*coupl(nGC_11)**2d0 - 8d0*Ten33*coupl(nGC_11)**2d0 &
              - 8d0*Ten34*coupl(nGC_11)**2d0 - 8d0*Ten35*coupl(nGC_11)**2d0 -  &
             8d0*Ten36*coupl(nGC_11)**2d0 - 2d0*Ten37*coupl(nGC_11)**2d0/3d0 - &
             2d0*Ten38*coupl(nGC_11)**2d0/3d0 - 2d0*Ten39*coupl(nGC_11)**2d0/  &
             3d0 - 2d0*Ten40*coupl(nGC_11)**2d0/3d0 - 2d0*Ten41*coupl(nGC_11)**&
             2d0/3d0 - 2d0*coupl(nGC_11)**2d0/3d0)/(16d0*pi**2d0)
  dZg_QCD2 = cone*real(dZg_QCD2,kind=dp)
end subroutine set_ctparameter28
end module ctparameter28
