!******************************************************************************!
!                                                                              !
!    derived_ctparameter.f90                                                   !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   derived_ctparameter.f90                        |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 05/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-15 15:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module derived_ctparameter
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_derived_ctparameter()
  dytau_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*(-2d0*MW**4d0*MZ**2d0*dMTA - MW**  &
               4d0*dMZ2*ymtau + 2d0*MW**2d0*MZ**4d0*dMTA + 2d0*MW**2d0*MZ**2d0*&
               dMW2*ymtau - MZ**4d0*dMW2*ymtau)/(2d0*MW**3d0*MZ**2d0*sqrt((-MW &
               **2d0 + MZ**2d0)/MZ**2d0)*(-MW**2d0 + MZ**2d0))
  dsw2_ = (MW**2d0*dMZ2 - MZ**2d0*dMW2)/MZ**4d0
  dmuH2_ = dMH2/2d0
  dlam_QED2 = 2d0*pi*aEW*(MH**2d0*MW**6d0*dMZ2 - 2d0*MH**2d0*MW**4d0*MZ**2d0*  &
              dMW2 - MH**2d0*MW**4d0*MZ**2d0*dMZ2 + 3d0*MH**2d0*MW**2d0*MZ**4d0&
              *dMW2 - MH**2d0*MZ**6d0*dMW2 + MW**6d0*MZ**2d0*dMH2 - 2d0*MW**4d0&
              *MZ**4d0*dMH2 + MW**2d0*MZ**6d0*dMH2)/(MW**4d0*(-MW**6d0 + 3d0*MW&
              **4d0*MZ**2d0 - 3d0*MW**2d0*MZ**4d0 + MZ**6d0))
  dcw_ = (-MW**2d0*dMZ2 + MZ**2d0*dMW2)/(2d0*MZ**4d0*sqrt(MW**2d0/MZ**2d0))
  dg1_QED1 = sqrt(pi)*sqrt(aEW)*(-MW**2d0*dMZ2 + MZ**2d0*dMW2)/(2d0*MW**2d0*MZ &
             **2d0*sqrt(MW**2d0/MZ**2d0))
  dgL_QED1 = sqrt(pi)*sqrt(aEW)*kL*(-MW**2d0*dMZ2 + MZ**2d0*dMW2)/(MZ**2d0*sqrt&
             ((-MW**2d0 + MZ**2d0)/MZ**2d0)*(-MW**2d0 + MZ**2d0))
  dys_QED1_QCD2 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*dMS_QCD2/(MW*sqrt((-MW**2d0 + MZ&
                  **2d0)/MZ**2d0))
  dys_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*yms*(-MW**4d0*dMZ2 + 2d0*MW**2d0*MZ**&
             2d0*dMW2 - MZ**4d0*dMW2)/(2d0*MW**3d0*MZ**2d0*sqrt((-MW**2d0 + MZ &
             **2d0)/MZ**2d0)*(-MW**2d0 + MZ**2d0))
  dgR_QED1 = sqrt(pi)*sqrt(aEW)*kR*(-MW**2d0*dMZ2 + MZ**2d0*dMW2)/(MZ**2d0*sqrt&
             ((-MW**2d0 + MZ**2d0)/MZ**2d0)*(-MW**2d0 + MZ**2d0))
  dym_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*(-2d0*MW**4d0*MZ**2d0*dMM - MW**4d0* &
             dMZ2*ymm + 2d0*MW**2d0*MZ**4d0*dMM + 2d0*MW**2d0*MZ**2d0*dMW2*ymm &
              - MZ**4d0*dMW2*ymm)/(2d0*MW**3d0*MZ**2d0*sqrt((-MW**2d0 + MZ**2d0&
             )/MZ**2d0)*(-MW**2d0 + MZ**2d0))
  dvev_QEDM1 = (MW**4d0*dMZ2 - 2d0*MW**2d0*MZ**2d0*dMW2 + MZ**4d0*dMW2)/(2d0*  &
               sqrt(pi)*MW*MZ**4d0*sqrt(aEW)*sqrt((-MW**2d0 + MZ**2d0)/MZ**2d0 &
               ))
  dgw_QED1 = sqrt(pi)*sqrt(aEW)*(-MW**2d0*dMZ2 + MZ**2d0*dMW2)/(MZ**2d0*sqrt((-&
             MW**2d0 + MZ**2d0)/MZ**2d0)*(-MW**2d0 + MZ**2d0))
  dsw_ = (MW**2d0*dMZ2 - MZ**2d0*dMW2)/(2d0*MZ**4d0*sqrt((-MW**2d0 + MZ**2d0)/ &
         MZ**2d0))
  dyt_QED1_QCD2 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*dMT_QCD2/(MW*sqrt((-MW**2d0 + MZ&
                  **2d0)/MZ**2d0))
  dyt_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*ymt*(-MW**4d0*dMZ2 + 2d0*MW**2d0*MZ**&
             2d0*dMW2 - MZ**4d0*dMW2)/(2d0*MW**3d0*MZ**2d0*sqrt((-MW**2d0 + MZ &
             **2d0)/MZ**2d0)*(-MW**2d0 + MZ**2d0))
  dye_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*(-2d0*MW**4d0*MZ**2d0*dME - MW**4d0* &
             dMZ2*yme + 2d0*MW**2d0*MZ**4d0*dME + 2d0*MW**2d0*MZ**2d0*dMW2*yme &
              - MZ**4d0*dMW2*yme)/(2d0*MW**3d0*MZ**2d0*sqrt((-MW**2d0 + MZ**2d0&
             )/MZ**2d0)*(-MW**2d0 + MZ**2d0))
  dydo_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*ymdo*(-MW**4d0*dMZ2 + 2d0*MW**2d0*MZ&
              **2d0*dMW2 - MZ**4d0*dMW2)/(2d0*MW**3d0*MZ**2d0*sqrt((-MW**2d0 + &
              MZ**2d0)/MZ**2d0)*(-MW**2d0 + MZ**2d0))
  dydo_QED1_QCD2 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*dMD_QCD2/(MW*sqrt((-MW**2d0 +  &
                   MZ**2d0)/MZ**2d0))
  dyup_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*ymup*(-MW**4d0*dMZ2 + 2d0*MW**2d0*MZ&
              **2d0*dMW2 - MZ**4d0*dMW2)/(2d0*MW**3d0*MZ**2d0*sqrt((-MW**2d0 + &
              MZ**2d0)/MZ**2d0)*(-MW**2d0 + MZ**2d0))
  dyup_QED1_QCD2 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*dMU_QCD2/(MW*sqrt((-MW**2d0 +  &
                   MZ**2d0)/MZ**2d0))
  dyb_QED1_QCD2 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*dMB_QCD2/(MW*sqrt((-MW**2d0 + MZ&
                  **2d0)/MZ**2d0))
  dyb_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*ymb*(-MW**4d0*dMZ2 + 2d0*MW**2d0*MZ**&
             2d0*dMW2 - MZ**4d0*dMW2)/(2d0*MW**3d0*MZ**2d0*sqrt((-MW**2d0 + MZ &
             **2d0)/MZ**2d0)*(-MW**2d0 + MZ**2d0))
  dyc_QED1_QCD2 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*dMC_QCD2/(MW*sqrt((-MW**2d0 + MZ&
                  **2d0)/MZ**2d0))
  dyc_QED1 = sqrt(2d0)*sqrt(pi)*sqrt(aEW)*ymc*(-MW**4d0*dMZ2 + 2d0*MW**2d0*MZ**&
             2d0*dMW2 - MZ**4d0*dMW2)/(2d0*MW**3d0*MZ**2d0*sqrt((-MW**2d0 + MZ &
             **2d0)/MZ**2d0)*(-MW**2d0 + MZ**2d0))
end subroutine set_derived_ctparameter
end module derived_ctparameter
